"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const log = require("./log");
const config = require("./config");
const Mqtt = require("mqtt");
const fs = require("fs");
log.info("SmallSender starting");
config.readConfig();
let mqttOptions = {
    username: config.dict.brokerUser,
    password: config.dict.brokerPass,
    ca: fs.readFileSync(config.dict.brokerCa, 'ascii'),
    rejectUnauthorized: true
};
let mqttClient = Mqtt.connect(config.dict.brokerUrl, mqttOptions);
mqttClient.on('error', log.error);
mqttClient.on('connect', () => {
    log.info("connected to mqtt broker");
});
let cnt = 0;
let timer = setInterval(() => {
    log.info(`Publishing a message ${cnt}`);
    mqttClient.publish("IoT/DeviceInfo", `OrangePi ${cnt}`);
    cnt += 1;
}, 10 * 1000);
log.info("SmallSender running");
//# sourceMappingURL=main.js.map